pskc_set_key_policy_keyusages(3)

NAME
pskc_set_key_policy_keyusages - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_key_policy_keyusages(pskc_key_t * key, int keyusages);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

int keyusages
    integer with pskc_keyusage values ORed together.

DESCRIPTION
Set the PSKC KeyPackage Key Policy KeyUsage values. The element puts constraints on the intended usage of the key. The recipient of the PSKC document MUST enforce the key usage.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.